; $Id: genname.pro,v 1.2 2002/01/14 20:59:26 amunter Exp $
FUNCTION genname, name, n, extension
;
;This generates a text string representing a tascom file name
;For example: name='ols' & n=112 & extension='.dat'
; will give: 'ols112.dat'
;
IF (n LT 10) THEN RETURN, strcompress(string(name,'00',n,extension),/REMOVE_ALL)
IF (n LT 100) THEN RETURN, strcompress(string(name,'0',n,extension),/REMOVE_ALL)
RETURN, strcompress(string(name,n,extension),/REMOVE_ALL)
END

